## gate.xml
Class GateFormatXmlDocumentHandler.AnnotationObject

    java.lang.Object
      |
      +--gate.xml.GateFormatXmlDocumentHandler.AnnotationObject

Enclosing class:
  GateFormatXmlDocumentHandler

class GateFormatXmlDocumentHandler.AnnotationObject
extends Object

An inner class modeling the information contained by an annotation.

Field Summary
`private String` `elemName`
`private Long` `end`
`private FeatureMap` `fm`
`private Long` `start`

Constructor Summary
`GateFormatXmlDocumentHandler.AnnotationObject()` Constructor

Method Summary
`String` `getElemName()` Accesor for the annotation type modeled here as ElemName
`Long` `getEnd()` Accesor for the end offset
`FeatureMap` `getFM()` Accesor for the feature map
`Long` `getStart()` Accesor for the start ofset
`void` `setElemName(String anElemName)` Mutator for the annotation type
`void` `setEnd(Long anEnd)` Mutator for the end offset
`void` `setFM(FeatureMap aFm)` Mutator for the feature map
`void` `setStart(Long aStart)` Mutator for the start offset
`String` `toString()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### elemName

    private String elemName

### fm

    private FeatureMap fm

### start

    private Long start

### end

    private Long end

Constructor Detail

### GateFormatXmlDocumentHandler.AnnotationObject

    public GateFormatXmlDocumentHandler.AnnotationObject()

  Constructor

Method Detail

### getElemName

    public String getElemName()

  Accesor for the annotation type modeled here as ElemName

### getFM

    public FeatureMap getFM()

  Accesor for the feature map

### getStart

    public Long getStart()

  Accesor for the start ofset

### getEnd

    public Long getEnd()

  Accesor for the end offset

### setElemName

    public void setElemName(String anElemName)

  Mutator for the annotation type

### setFM

    public void setFM(FeatureMap aFm)

  Mutator for the feature map

### setStart

    public void setStart(Long aStart)

  Mutator for the start offset

### setEnd

    public void setEnd(Long anEnd)

  Mutator for the end offset

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`